Subject: Re: [PATCH v3 00/10] repack: fix geometric repacking with gitalternates

From: Derrick Stolee <[email-masked]>
Date: Thu, 13 Apr 2023 10:54:53 -0400

On 4/13/2023 7:16 AM, Patrick Steinhardt wrote:
> Hi,
> 
> this is the third version of my patch series to fix geometric repacking
> with repositories that are connected to an alternate object database.
> 
> Changes compared to v2:
> 
>     - I've simplified patch 1 to reset the preferred pack index instead
>       of moving around some of the checks. This also causes us to print
>       the warning for missing preferred packfiles again.
> 
>     - I've fixed the logic in patch 2 to find the preferred packfile to
>       not return a packfile that would be rolled up in a geometric
>       repack.
> 
>     - I've added an additional patch to split out preexisting tests for
>       `--stdin-packs` into their own test file.
> 
>     - I've changed the unportable test added for geometric repacking
>       with `-l` that used stat(1) to instead use our `test-tool chmtime`
>       helper.
> 
>     - I've changed the logic that disables writing bitmaps in git-repack
>       to cover more cases. It now always kicks in when doing a repack
>       with `-l` that asks for bitmaps when connected to an alternate
>       object directory.
> 
>     - In general, there's a bunch of small improvements left and right
>       for the tests I'm adding.

I didn't get feedback on your v2 in time, but this v3 is very close.

There's just the one test change in patch 9 that I think deserves a
re-roll, but otherwise this looks good.

Thanks,
-Stolee